output "gdk_mysql_compartment_name" {
  value = oci_identity_compartment.gdk_mysql.name
}

output "gdk_mysql_compartment_ocid" {
  value = oci_identity_compartment.gdk_mysql.id
}

output "mysql_db_private_ip" {
  description = "ip address of MySQL DB (on private subnet)"
  value       = oci_mysql_mysql_db_system.GDK-MySQL-guide-DB.ip_address
}

output "compute_instance_public_ip" {
  description = "public IP of developer VM"
  value       = oci_core_instance.guide_vm.public_ip
}

output "compute_instance_private_ip" {
  description = "private IP of developer VM"
  value       = oci_core_instance.guide_vm.private_ip
}
