
// Copyright (c) 2020, Oracle and/or its affiliates. All rights reserved.
// Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.


variable "parent_compartment_ocid" {}
variable "region" {}
variable "ssh_public_key" {}

variable "enable_compartment_delete" {
  default = "true"
}

variable "mysql_admin_password" {
  default = "Welcome_1"
}

variable "mysql_admin_username" {
  default = "admin"
}

variable "vcn_display_name" {
  default = "GDK-MySQL-guide-VCN"
}

variable "vcn_cidr" {
  default = "10.0.0.0/16"
}

variable "private_subnet_cidr" {
  default = "10.0.1.0/24"
}

variable "public_subnet_cidr" {
  default = "10.0.0.0/24"
}
variable "vcn_dns_label" {
  default = "gdkMySQLVCN"
}

variable "subnet_dns_label" {
  default = "subnet"
}

locals {
  compartment_ocid = oci_identity_compartment.gdk_mysql.id
}
